Bug 377651 - gnome needs limit on font DPI deduction
gnome needs limit on font DPI deduction
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 07:33 EST by Tom Horsley
Modified: 2009-05-08 08:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 07:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 546711 None None None Never

  None (edit)
Description Tom Horsley 2007-11-12 07:33:50 EST
Description of problem:

I use a 42" 1920x1080 HD monitor for my primary computer monitor (as well as
for a TV). Gnome or X or someone (not sure what to report this bug against)
is far too literal minded when it comes to accepting the EDID info. It
computes 53 dots per inch for the monitor (which is literally correct),
and that results in microscopic letters in all the buttons and menus and
wot-not that are very close to impossible to read. After much fumbling
around I finally found the font settings panel and explicitly changed the
DPI to 96 and things got much better.

Version-Release number of selected component (if applicable):

whatever shipped with the Fedora 8 install DVD (I'm not on that computer
now, so I can't check).

How reproducible:

Anytime you login to a freshly installed system with this monitor.

Steps to Reproduce:
1. see above
  
Actual results:

Tiny little unreadable fonts.

Expected results:

Either put a reasonable limit on the minimum pixel height of fonts, or
at least have a one-time popup box when microscopic pixel heights are
detected that asks "Hey! Do you want to set a larger DPI value?" :-).

Additional info:
Comment 1 Tom Horsley 2008-05-14 22:00:29 EDT
In fedora 9, this got even worse. The GDM login screen now uses
the same 52 DPI, and there isn't any place to force it to use 96
(that I know of).
Comment 2 Bastien Nocera 2009-05-07 23:15:52 EDT
You can set the DPI in gconf-editor, look for /desktop/gnome/font_rendering/dpi

I'm afraid that your problem isn't an easy one, and that work is on-going in GTK+ upstream to get nearer resolution independence (so your desktop would look good on your 42" telly).

If the work-around works, I'll point you to the upstream GTK+ bug.
Comment 3 Tom Horsley 2009-05-08 06:00:57 EDT
Actually there are a number of work-arounds I've come up with, but the best
one so far is to switch to using KDM instead of GDM and use KDM's kdmrc file
to set the -dpi 96 option in the X server startup arguments. That gets the DPI
set to an acceptable value in every toolkit for every user and in a driver
independent fashion. Using gconf, you have to get user gdm's preferences set
to influence the login screen (which I have done by copying my .gconf directory
to user gdm's .gconf directory.
Comment 4 Bastien Nocera 2009-05-08 07:43:06 EDT
Glad you found a work-around.


As for the GTK+ patches, details below.

See:
http://blog.fubar.dk/?p=102
and:
http://bugzilla.gnome.org/show_bug.cgi?id=546711
Comment 5 Tom Horsley 2009-05-08 08:40:49 EDT
Those gtk patches are all very well, but they seem to be based on the utterly
false premise that display devices actually report reasonable DPI values,
they won't help anything on a display that doesn't have reasonable DPI, though
it is certainly a worthy goal to remove all hard coded pixel widths and
replace them with point size units that will scale with changing dpi.

Perhaps when they finish with that, they'll realize how futile it was
and finally restore the gdmsetup tool to make it easy to lie about DPI
(or even tell the truth about DPI to work around a display device which
lies - my new samsung HDTV reports 160mm x 90mm as the size in EDID,
which means it claims to have 305 DPI resolution on a 46" display, leading
to dialog boxes which won't fit on the screen :-).

Maybe something will come of my upstream Xorg bug someday:

https://bugs.freedesktop.org/show_bug.cgi?id=20545

Note You need to log in before you can comment on or make changes to this bug.